/*
 * HDMonitor.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <vdr/plugin.h>
#include <vdr/status.h>
#include <vdr/recording.h>

#include "myosd.h"
#include <string>

static const char *VERSION        = "0.0.1";
static const char *DESCRIPTION    = "Festplatten-Monitor";
static const char *MAINMENUENTRY  = "Festplatten-Monitor";


int  iFileformat    = 1;


class cPluginHDMonitor : public cPlugin {
private:
 
public:
  cPluginHDMonitor(void);
  virtual ~cPluginHDMonitor();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return DESCRIPTION; }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Initialize(void);
  virtual bool Start(void);
  virtual void Stop(void);
  virtual void Housekeeping(void);
  virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
  virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  virtual bool Service(const char *Id, void *Data = NULL);
  virtual const char **SVDRPHelpPages(void);
  virtual cString SVDRPCommand(const char *Command, const char *Option, int &ReplyCode);
  };

cPluginHDMonitor::cPluginHDMonitor(void)
{

}

cPluginHDMonitor::~cPluginHDMonitor()
{

}

const char *cPluginHDMonitor::CommandLineHelp(void)
{

  return NULL;
}

bool cPluginHDMonitor::ProcessArgs(int argc, char *argv[])
{

  return true;
}

bool cPluginHDMonitor::Initialize(void)
{

  return true;
}

bool cPluginHDMonitor::Start(void)
{
	

  return true;
}

void cPluginHDMonitor::Stop(void)
{

}

void cPluginHDMonitor::Housekeeping(void)
{

}

cOsdObject *cPluginHDMonitor::MainMenuAction(void)
{
	dsyslog("[hdmonitor] Festplatten-Monitor wurde gestartet!");	
	return new cMyOsd();
}

cMenuSetupPage *cPluginHDMonitor::SetupMenu(void)
{
	
	return NULL; 
}

bool cPluginHDMonitor::SetupParse(const char *Name, const char *Value)
{
   return false;
}

bool cPluginHDMonitor::Service(const char *Id, void *Data)
{
   return false;
}

const char **cPluginHDMonitor::SVDRPHelpPages(void)
{
   return NULL;
}

cString cPluginHDMonitor::SVDRPCommand(const char *Command, const char *Option, int &ReplyCode)
{
  return NULL;
}

VDRPLUGINCREATOR(cPluginHDMonitor); // Don't touch this!
